## ros-indigo-cob-srvs 0.6.9

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cob_srvs)

find_package(catkin REQUIRED COMPONENTS message_generation)

add_service_files(FILES
  SetFloat.srv
  SetInt.srv
  SetString.srv
)

generate_messages(
  DEPENDENCIES
)

catkin_package(
    CATKIN_DEPENDS message_runtime
)

=== debian/changelog ===
ros-indigo-cob-srvs (0.6.9-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-srvs (0.6.8-0trusty) trusty; urgency=high

  * Merge pull request #246 <https://github.com/ipa320/cob_common/issues/246> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #224 <https://github.com/ipa320/cob_common/issues/224> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-uhr-mk

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-srvs (0.6.7-0trusty) trusty; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 16 Jul 2017 22:00:00 -0000

ros-indigo-cob-srvs (0.6.6-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-srvs (0.6.5-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-srvs (0.6.4-0trusty) trusty; urgency=high

  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-indigo-cob-srvs (0.6.3-0trusty) trusty; urgency=high

  * Merge branch 'indigo_dev' of github.com:ipa320/cob_common into remove_Trigger_srv
  * readd SetInt service
  * remove Trigger from cob_srvs
  * cleanup cob_srvs
  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-srvs (0.6.2-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-srvs (0.6.1-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 23 Sep 2014 22:00:00 -0000

ros-indigo-cob-srvs (0.6.0-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Mon, 15 Sep 2014 22:00:00 -0000

ros-indigo-cob-srvs (0.5.5-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Tue, 26 Aug 2014 22:00:00 -0000

ros-indigo-cob-srvs (0.5.4-0trusty) trusty; urgency=high

  * update changelog
  * cleaning up debs
  * cleaning up debs
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

ros-indigo-cob-srvs (0.5.3-0trusty) trusty; urgency=high

  * merge
  * add new service
  * Contributors: Florian Weisshardt

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-cob-srvs (0.5.2-0trusty) trusty; urgency=high

  * update CMakeLists
  * Contributors: ipa-fxm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Wed, 19 Mar 2014 23:00:00 -0000

ros-indigo-cob-srvs (0.5.1-0trusty) trusty; urgency=high



 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 16 Aug 2013 02:14:35 +0200

ros-indigo-cob-srvs (0.5.0-0trusty) trusty; urgency=high

  * small change for compiling, descriptions need modifications for gazebo
  * added msg generators
  * Catkin for cob_common
  * Deleted __init__ files
  * removed files that should not be in version control
  * removed binary file from version control
  * Groovy migration
  * Revert "removed old cob_utilities files"
    This reverts commit 45e743a0d8d25c3b3ec7d77c73c248949cfb0a51.
  * removed old cob_utilities files
  * extended GetPoseStampedTransformed.srv
  * added dependency on geometry_msgs
  * moved GetPoseStampedTransformed.srv to cob_srvs
  * merge with ipa320
  * removed obsolete dependency
  * before merge with 320
  * cleanup dependencies
  * removed deprecated services
  * moved msgs and srvs to according packages in cob3_intern
  * deleted object detection services
  * Extended Acquire Object image service call to provide transformations/frames of object views
  * new service
  * merge with ipa320
  * moved GetJointState message ro base_drive_chain
  * JSF: Added new messages
  * moved init test to cob_srvs
  * updated service attributes
  * new msg/srv definitions for sensor fusion
  * use std_msgs/Header instead of Header in cob_msg and cob_srvs due to upcoming deprecation
  * added new service
  * new services for cob_full_ik_solver
  * updated service definition
  * added missing dependency
  * new service for grasping
  * fixed message names and types
  * new services for cob_prmce_planner
  * fixed message names and types
  * preparing rostest
  * cleanup in simulation and common
  * new services
  * update documentation
  * service for cartesian movement
  * JSF: Integrated image acquisition method for all cameras to calibrate
  * Renamed and worked on cob_drive_identification, moved Elmo Recorder services to cob_srvs
  * new service SetMaxVel
  * added image service to tof node
  * clean up in cob_common stack
  * new services
  * service for env model point cloud
  * service for moving the neck
  * removed bug
  * JSF: Adapted service parameters
  * JSF: Added service files for object training
  * JSF: Added service files for object training
  * msg and srv for getting camera to base transformation
  * JSF: Added service and message for object recognition
  * new service for Camera2Base transformation
  * goa: added service for 2D platform position
  * GOA: renamed message in GetColoredPointCloud service
  * GOA: changed point cloud service
  * build packages again wit cob* instead of cob3*
  * renamed to general cob packages
  * Contributors: COB3-Manipulation, Georg, Jan Fischer, Mathias Lüdtke, Richard Bormann, abubeck, cob, goa, ipa-cpc, ipa-fmw, ipa-fxm, ipa-goa, ipa-jsf, ipa-nhg, ipa-uhr-fm

 -- Florian Weisshardt <fmw@ipa.fhg.de>  Fri, 16 Aug 2013 02:14:35 +0200

=== debian/control ===
Source: ros-indigo-cob-srvs
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-message-generation
Homepage: http://ros.org/wiki/cob_srvs
Standards-Version: 3.9.2

Package: ros-indigo-cob-srvs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime
Description: This Package contains Care-O-bot specific service definitions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-cob-srvs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
